Package relaxngcc.automaton

## Class Alphabet.ForAction

- java.lang.Object
- - relaxngcc.automaton.Alphabet
  - - relaxngcc.automaton.Alphabet.ForAction

- Enclosing class:
    Alphabet

      public static class Alphabet.ForAction
      extends Alphabet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class relaxngcc.automaton.Alphabet

      `Alphabet.DataText, Alphabet.EnterAttribute, Alphabet.EnterElement, Alphabet.ForAction, Alphabet.Fork, Alphabet.LeaveAttribute, Alphabet.LeaveElement, Alphabet.Markup, Alphabet.Ref, Alphabet.Text, Alphabet.ValueText`

  - ### Field Summary

    - ### Fields inherited from class relaxngcc.automaton.Alphabet

      `_locator, DATA_TEXT, ENTER_ATTRIBUTE, ENTER_ELEMENT, FOR_ACTION, FORK, LEAVE_ATTRIBUTE, LEAVE_ELEMENT, REF_BLOCK, VALUE_TEXT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForAction()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Alphabet.ForAction` | `asForAction()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class relaxngcc.automaton.Alphabet

      `asDataText, asEnterAttribute, asEnterElement, asFork, asLeaveAttribute, asLeaveElement, asMarkup, asRef, asText, asValueText, equals, getType, isDataText, isEnterAttribute, isEnterElement, isForAction, isFork, isLeaveAttribute, isLeaveElement, isMarkup, isRef, isText, isValueText, printLocator`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ForAction

          public ForAction()

  - ### Method Detail

    - #### asForAction

          public Alphabet.ForAction asForAction()

      Overrides:
        `asForAction` in class `Alphabet`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Alphabet`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`